# CollectionRemove class

(PECL mysql-xdevapi >= 8.0.11)

## Introduction

## Class synopsis

mysql_xdevapi\CollectionRemove implements mysql_xdevapi\Executable , mysql_xdevapi\CrudOperationBindable , mysql_xdevapi\CrudOperationLimitable , mysql_xdevapi\CrudOperationSortable {
/* Methods */
public bind ( array `$placeholder_values` ) : mysql_xdevapi\CollectionRemove
public execute ( void ) : mysql_xdevapi\Result
public limit ( integer `$rows` ) : mysql_xdevapi\CollectionRemove
public sort ( string `$sort_expr` ) : mysql_xdevapi\CollectionRemove
}

## Table of Contents

- CollectionRemove::bind — Bind value to placeholder
- CollectionRemove::__construct — CollectionRemove constructor
- CollectionRemove::execute — Execute remove operation
- CollectionRemove::limit — Limit number of documents to remove
- CollectionRemove::sort — Set the sorting criteria